"use strict";
const { pathToFileURL } = require("url");
exports.dynamicImport = function (mod) {
    if (mod.startsWith("file://"))
        return Promise.resolve().then(() => require(mod));
    if (mod.startsWith("/"))
        return Promise.resolve().then(() => require(pathToFileURL(mod).toString()));
    try {
        const path = require.resolve(mod);
        return Promise.resolve().then(() => require(pathToFileURL(path).toString()));
    }
    catch (e) {
        return Promise.reject(e);
    }
};
